Bug 1032746 - Not able to create Puppet Repo while trying to import puppet modules from Puppet Forge
Not able to create Puppet Repo while trying to import puppet modules from Pup...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
x86_64 Linux
unspecified Severity high (vote)
: Unspecified
: 6.0
Assigned To: Eric Helms
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-11-20 12:56 EST by Bibs
Modified: 2014-09-18 11:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-09-11 08:18:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
puppet repo created with puppet module (50.46 KB, image/png)
2014-08-06 15:19 EDT, sthirugn@redhat.com
no flags Details

  None (edit)
Description Bibs 2013-11-20 12:56:22 EST
Description of problem:
Not able to create Puppet Repo while trying to import puppet modules from Puppet Forge after hitting the Create Button . There are no issues while creating the repo of the type yum . Only issue is if the Reo Type is puppet

Version-Release number of selected component (if applicable):
Katello ver 1.4 running on CentOS 6.4 (x84_64 )

How reproducible:

Steps to Reproduce:
1. As described above

Actual results:
Note able to create puppet repo supposed to be importing puppet modules from Puppet Forge

Expected results:
Create Puppet Repo after importing modules from Puppet Forge

Additional info:
Comment 1 Bryan Kearney 2014-01-21 14:07:05 EST
Moving to Sat6 to be tracked there. Upstream bugs are moving to redmine.
Comment 2 RHEL Product and Program Management 2014-01-21 14:18:21 EST
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 6 sthirugn@redhat.com 2014-08-06 15:18:45 EDT
Verified. I am able to create a puppet repo (by importing a puppet module) under a product. (see screenshot)

Version Tested:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-
* foreman-compute-
* foreman-gce-
* foreman-libvirt-
* foreman-ovirt-
* foreman-postgresql-
* foreman-proxy-
* foreman-selinux-
* foreman-vmware-
* katello-1.5.0-27.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.56-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
* pulp-server-2.4.0-0.23.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-
Comment 7 sthirugn@redhat.com 2014-08-06 15:19:15 EDT
Created attachment 924572 [details]
puppet repo created with puppet module
Comment 9 Bryan Kearney 2014-09-11 08:18:40 EDT
This was delivered with Satellite 6.0 which was released on 10 September 2014.

Note You need to log in before you can comment on or make changes to this bug.